Unit tmn11r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, MN11R_p;

function tmn11r: String;

implementation

function tmn11r: String;
var
I,KOUNT,IERR,_i :Integer;
F :Real;
IO :Array [0..9] of Integer;
RM :Array [0..50] of Real;
const
N :Integer = 10;
FE :Real = 5.0E-10;
XE :Array [0..9] of Real = ( 5.E-10,5.E-10,5.E-10,5.E-10,5.E-10,5.E-10,5.E-10,
5.E-10,5.E-10,5.E-10 );
FSTEP :Real = 1.0;
IPAR :Integer = 1;
MAXK :Integer = 1000;
G :Array [0..54] of Real = ( 100.0,0.5,100.0,0.0,0.5,100.0,0.0,0.0,0.5,100.0,
0.0,0.0,0.0,0.0,20.0,0.0,0.0,0.0,0.0,0.5,20.0,0.0,
0.0,0.0,0.0,0.0,0.5,20.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0,3.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.5,3.0,0.0,
0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,1.0 );
H :Array [0..9] of Real = ( -202.0,-202.0,-202.0,-200.0,-42.0,-42.0,-40.0,
-8.0,-6.0,-2.0 );
A :Array [0..9] of Real = ( -2.0,-2.0,-2.0,-2.0,-2.0,-2.0,-2.0,-2.0,-2.0,
-2.0 );
B :Array [0..9] of Real = ( 2.0,2.0,2.0,2.0,2.0,2.0,2.0,2.0,2.0,2.0 );
X :Array [0..9] of Real = ( -1.0,-1.0,-1.0,-1.0,-1.0,-1.0,-1.0,-1.0,-1.0,-1.0 );
begin
Result := '';  {   }
MN11R(N,X,XE,A,B,G,H,FSTEP,IPAR,MAXK,F,FE,KOUNT,
     IO,RM,IERR);
Result := Result + Format('%s',['  IERR=']);
Result := Result + Format('%4d ',[IERR]);
Result := Result + Format('%s',['  KOUNT=']);
Result := Result + Format('%4d ',[KOUNT]);
Result := Result + Format('%s',['  MAXK=']);
Result := Result + Format('%4d ',[MAXK]);
Result := Result + Format('%s',['        MACCB X' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 9 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f ',[F]) + #$0D#$0A;
UtRes('tmn11r',Result);  {     tmn11r.res }
exit;
end;

end.
